[arch-commits] Commit in libgl/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Aug 5 17:33:15 EDT 2008


    Date: Tuesday, August 5, 2008 @ 17:33:15
  Author: jgc
Revision: 8049

Merged revisions 8027-8048 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libgl/trunk

........
  r8048 | jgc | 2008-08-05 21:33:04 +0000 (Tue, 05 Aug 2008) | 2 lines
  
  upgpkg: libgl 7.1rc3-1
      Symlink libglx.so to enable the xorg extension when libgl is installed (note: though last commit says libglx does not work with libgl, I meant that the extension does not work WITHOUT libgl
........

Modified:
  libgl/repos/testing-x86_64/	(properties)
  libgl/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |    2 ++
 1 file changed, 2 insertions(+)


Property changes on: libgl/repos/testing-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /libgl/trunk:1-8026
   + /libgl/trunk:1-8048

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2008-08-05 21:33:04 UTC (rev 8048)
+++ testing-x86_64/PKGBUILD	2008-08-05 21:33:15 UTC (rev 8049)
@@ -28,4 +28,6 @@
   make DESTDIR=${pkgdir} install || return 1
   rm -rf ${pkgdir}/usr/include
   rm -rf ${pkgdir}/usr/lib/pkgconfig
+  install -m755 -d ${pkgdir}/usr/lib/xorg/modules/extensions
+  ln -sf libglx.xorg ${pkgdir}/usr/lib/xorg/modules/extensions/libglx.so || return 1
 }




More information about the arch-commits mailing list